package abstractlist;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.io.*;
import java.util.*;

public class Dir {
    String[] files;

    Dir(String dir) {
        try {
            files = new File(dir).list();
        } catch (Exception e) {
            files = null;
        }
    }
    List getList() {
        return new AbstractList() {
            public int size() {
                return files == null ? 0 : files.length;
            }
            public Object get(int index) {
                return files[index];
            }
        };
    }

    public static void main(String[] args) {
        String strDir = "..";
        //List list = new Dir(args[0]).getList();
        List list = new Dir(strDir).getList();
        for (Iterator it=list.iterator(); it.hasNext(); ) {
            System.out.println(it.next());
        }
    }
}