package abstractmap;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;

public class Main {
    public static void main(String[] args) {
        Map map = new FixedMap(2);
        map.put("dog", "spot");
        map.put("cat", "luck");
        //map.put("pig", "babe");         // IllegalStateException

        System.out.println(map.get("dog"));
        System.out.println(map.put("dog", "ruff"));
        System.out.println(map.remove("cat"));
        System.out.println(map);

        System.out.println(map.put("cat", "luck"));
        System.out.println(map.keySet());
        System.out.println(map.values());

        System.out.println(map.keySet().remove("dog"));
        System.out.println(map);
        System.out.println(map.values().remove("luck"));
        System.out.println(map);

//
        HashMap mapOut = new HashMap();
        mapOut.put("dog", "spot");
        mapOut.put("cat", "luck");

        System.out.println("\n\n\n" +mapOut.toString() );   // {cat="luck, dog=spot}
//

    }
}
