package arrays;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;
import java.lang.reflect.*;

public class Main {
    public static void main(String[] args) {
        String[] a1 = {"cat", "dog", null, null};
        String[] a2 = (String[])compact(a1, 2);

        System.out.println( Arrays.asList(a1) );
        System.out.println( Arrays.asList(a2) );
    }
//
    public static Object compact(Object[] arr, int len) {
        if (arr.length == len) {
            return arr;
        }
        Object[] newarr = (Object[])Array.newInstance(
            arr.getClass().getComponentType(), len);
        System.arraycopy(arr, 0, newarr, 0, len);
        return newarr;
    }
//
}
