package unmodifiablecollection;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;

public class Main {
    public static void main(String[] args) {
//
        List l = new ArrayList(Arrays.asList(new String[]{"dog", "cat"}));
        Collection roc = Collections.unmodifiableCollection(l);

        //roc.add("pig");                          // UnsupportedOperationException
        //roc.remove("cat");                       // UnsupportedOperationException

        // Modify l and check for change in roc.
        l.add("pig");
        System.out.println( new ArrayList(roc) );  // [dog, cat, pig]

        System.out.println( l.equals(roc) );                     // false
        System.out.println( l.hashCode() == roc.hashCode() );    // false
//
    }
}