package random;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.Random;
class Roulette {
    Random generator = new Random();
    // Rad drehen und Wert zurcklieferen (00, 0, 1-36)
    String spin() {
        int rand = generator.nextInt();
        int num = Math.abs(rand % 38);

        switch (num) {
        case 37: return ("00");
        case 36: return ("0");
        default: return (Integer.toString(num + 1)); // 1- 36 inclusive
        }
    }
    //
    void changeDealer() {
        generator.setSeed(System.currentTimeMillis());
    }
}
public class Main {
    public static void main(String[] args) {
        Roulette r = new Roulette();

        // dreh 20 Mal
        for (int i = 0; i < 20; i++)
            System.out.println(i + ": " + r.spin());

        //
        r.changeDealer();

            // dreh 20 Mal
        for (int i = 0; i < 20; i++)
            System.out.println(i + ": " + r.spin());
    }
}
