package timertask;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.Timer;
import java.util.TimerTask;
import java.awt.Toolkit;

/**
 * Einfache java.util.Timer Demo zum Scheuling einer Task
 * alle 5 Sekunden
 */

public class Reminder {
    Timer timer;

    public Reminder(int seconds) {
        timer = new Timer();
        timer.schedule(new RemindTask(), seconds*1000);
    }

    class RemindTask extends TimerTask {
        public void run() {
            System.out.println("Zeit ist abgelaufen!");
	    timer.cancel(); //Terminate the timer thread
        }
    }

    public static void main(String args[]) {
	System.out.println("Task-Schedule festlegen.");
        new Reminder(5);
	System.out.println("Task Ablauf ist festgelegt.");
    }
}
