import java.io.PrintStream;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.GregorianCalendar;

public class Test {

    public static void main(String args[])    {
        if(args.length < 2)         {
            System.out.println("Usage: java Main <1-based month> <year>");
            System.exit(1);
        }
        int i = Integer.parseInt(args[0]) - 1;
        int j = Integer.parseInt(args[1]);
        GregorianCalendar gregoriancalendar = new GregorianCalendar(j, i, 1);
        gregoriancalendar.set(7, gregoriancalendar.getFirstDayOfWeek());
        gregoriancalendar.set(4, 2);
        gregoriancalendar.clear(5);
        do         {
            SimpleDateFormat simpledateformat = new SimpleDateFormat("E");
            String s = simpledateformat.format(gregoriancalendar.getTime());
            if(s.length() > 2)
                System.out.print(s.substring(0, 2) + " ");
            else
            if(s.length() < 2)
                System.out.print(s + "  ");
            else
                System.out.print(s + " ");
            gregoriancalendar.roll(7, true);
        } while(gregoriancalendar.get(7) != gregoriancalendar.getFirstDayOfWeek());
        System.out.println();
        gregoriancalendar.set(j, i, 1);
        int k = gregoriancalendar.get(7);
        for(int l = gregoriancalendar.getFirstDayOfWeek(); l < k; l++)
            System.out.print("   ");

        gregoriancalendar.set(2, i);
        for(int i1 = gregoriancalendar.getMinimum(5); i1 <= gregoriancalendar.getMaximum(5); i1++) {
            gregoriancalendar.set(5, i1);
            if(gregoriancalendar.get(2) != i)
                break;
            if(gregoriancalendar.get(7) == gregoriancalendar.getFirstDayOfWeek())
                System.out.println();
            if(i1 < 10)
                System.out.print(" ");
            System.out.print(i1 + " ");
        }
	Calendar cal = new GregorianCalendar(1972, Calendar.OCTOBER, 26);
	System.out.println("\n"+cal.getTime() );

        System.out.println();
    }
}
