package einfhrendesbeispiel;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */
import java.util.*;
import java.text.*;

public class CollatorKeyBeispiel {
   public static void sortArray(CollationKey[] keys) {
       CollationKey tmp;
       for (int i = 0; i < keys.length; i++) {
          for (int j = i + 1; j < keys.length; j++) {
             // Vergleich zweier Keys
             if( keys[i].compareTo( keys[j] ) > 0 ) {
                // Swap keys[i] und keys[j]
                tmp = keys[i];
                keys[i] = keys[j];
                keys[j] = tmp;
             }
          }
       }
   }

   static void displayWords(CollationKey[] keys) {

      for (int i = 0; i < keys.length; i++) {
                System.out.println(keys[i].getSourceString());
      }
   }

   static public void main(String[] args) {

      Collator enUSCollator = Collator.getInstance(new Locale("en","US"));

      String [] words = {
        "peach",
        "apricot",
        "grape",
        "lemon"
      };

      CollationKey[] keys = new CollationKey[words.length];

      for (int k = 0; k < keys.length; k ++) {
         keys[k] = enUSCollator.getCollationKey(words[k]);
      }

      sortArray(keys);
      displayWords(keys);
   }
}
