package einfhrendesbeispiel;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.*;
import java.text.*;

public class MessageFormatBeispiel {

   static  void displayMessage(Locale currentLocale) {

      System.out.println("aktuelles Locale Objekt= " + currentLocale.toString()+"\t["+currentLocale.getDisplayCountry()+"]");

      ResourceBundle messages =
         ResourceBundle.getBundle("MessageBundle2",currentLocale);

      Object[] messageArguments = {
         messages.getString("planet"),
         new Integer(7),
         new Date()
      };

      MessageFormat formatter = new MessageFormat("");
      formatter.setLocale(currentLocale);

      formatter.applyPattern(messages.getString("template"));
      String output = formatter.format(messageArguments);

      System.out.println(output);

   }

   static public void main(String[] args) {
      displayMessage(new Locale("en", "US"));
      System.out.println();
      displayMessage(new Locale("de", "DE"));
   }
}
