package addobserver;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.util.Observable;

class FarbObservable extends Observable {
    public static String colorName(int i) {
        switch (i) {
        case 1: return ("rot");
        case 0: return ("weiss");
        case 2: return ("blaue");
        default: return (null);
            }
    }
    public void changeColor(int i) {
        setChanged();
        notifyObservers(new Integer(i));
        clearChanged(); // nicht ntig; notifyObservers() rumt auf
    }
}